local oldEnergy = 0; local oldTime = 0; local Update = 0;

function EnergyTick_OnLoad()
	DEFAULT_CHAT_FRAME:AddMessage('<< EnergyTick Loaded! >>');
	this:RegisterEvent('UNIT_ENERGY'); --this make everything happen its the tick
        this:RegisterEvent('VARIABLES_LOADED');	--this is because when the variables load it ticks once
	this:RegisterEvent('PLAYER_TARGET_CHANGED'); --awsome for figuring out when to tick and when not to
	SlashCmdList['ETCHAT'] = ET_ChatHandler;
	SLASH_ETCHAT1 = '/et';	SLASH_ETCHAT2 = '/energytick';
	if (not EnergyTick_Toggle) then EnergyTick_Toggle = 1; end
end

function EnergyTick_OnEvent(event,arg1)
	local LOCAL_CLASS = 'Rogue';
	if ( GetLocale() == 'deDE' ) then 
		LOCAL_CLASS = 'Schurke'; 
	elseif ( GetLocale() == 'frFR' ) then
		LOCAL_CLASS = 'Voleur';
	end

	if ((UnitClass('player')) and (UnitClass('player') ~= LOCAL_CLASS)) then
		ET_Update_Frame:Hide(); this:Hide(); return;
	end

	if (event == 'PLAYER_TARGET_CHANGED') then
		if (UnitExists('target') and (not UnitIsDead('target')) and UnitCanAttack('player', 'target')) then
			ET_Target = 1;
		else
			ET_Target = nil;
		end
		return;
	end
	if (not oldEnergy) then oldEnergy = UnitMana('player'); end
	if (UnitMana('player') < UnitManaMax('player')) then --he has less than full so we dont need to guess
		ET_Update_Frame:Hide();
		Update = 0;
	end
	if (UnitMana('player') > oldEnergy) then
		if (UnitMana('player') == UnitManaMax('player')) then
			ET_Update_Frame:Show();
		end
		if (EnergyTick_Toggle==1 and ET_Target) then
			PlaySoundFile('Interface\\AddOns\\EnergyTick\\Tick.wav');
		end
		oldTime = time;
	end
	oldEnergy = UnitMana('player');
end

function EnergyTick_OnUpdate(arg1)
	Update = Update + arg1;
	if (Update >= 2) then
		Update = Update - 2; --this insures the remainder is carried
		if (UnitMana('player')==UnitManaMax('player') and (EnergyTick_Toggle==1) and ET_Target) then
			PlaySoundFile('Interface\\AddOns\\EnergyTick\\Tick.wav');
		end
	end
end

function ET_Toggle()
	if (EnergyTick_Toggle == 1) then
		EnergyTick_Toggle = 0; DEFAULT_CHAT_FRAME:AddMessage('<<ET is Off!');
	else
		EnergyTick_Toggle = 1; DEFAULT_CHAT_FRAME:AddMessage('<<ET is On!');
	end
end

function ET_ChatHandler(msg)
	ET_Toggle();
end